#include "STUDENT.h"
#include <iostream>

STUDENT::STUDENT(const char* name, int id):PERSON(name, id)
{
	for (int i = 0; i < 10; i++) marks[i] = 0;
}

void STUDENT::SetMark(int n, int m)
{
	if (n >= 0 && n < 10) marks[n] = m;
}

int STUDENT::GetMark(int n)
{
	if (n >= 0 && n < 10) return marks[n];
	else return -1;
}

void STUDENT::Show()
{
	PERSON::Show();
	for (int i = 0; i < 10; i++) std::cout << " " << marks[i] ;
}
